Bug 44745 - glms SRPM needs build dependency on gnome-core-devel
glms SRPM needs build dependency on gnome-core-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: glms (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-15 17:24 EDT by Jay Turner
Modified: 2015-03-04 20:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 09:07:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-15 17:24:22 EDT
Description of Problem: with the 7.1 product, you cannot build the glms
SRPM without having ncurses-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/glms*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
gnome-core-devel rpm, the glms SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
  1. rpm -e gnome-core-devel
  2. rpm -Uvh <tree-path>/SRPMS/glms*.src.rpm
  3. rpm -ba /usr/src/redhat/SPECS/glms*spec
  4. rpm -Uvh <tree-path>/RedHat/RPMS/gnome-core-devel*
  5. rpm -ba /usr/src/redhat/SPECS/glms*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from 
rpm(1)
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the glms SRPM cannot be built without installing the
gnome-core-devel RPM.


Additional Information:
Comment 1 Phil Knirsch 2001-06-26 11:56:35 EDT
Fixed in rawhide.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.